kind: pipeline
name: default

steps:
- name: alpine
  image: alpine:3.13.5
  commands:
    - apk update
    - apk add musl-locales openjdk11 py3-pip make
    - pip3 install babel beautifulsoup4 html5validator markdown pelican css-html-js-minify
    - export LANG=es_ES.UTF-8 LANGUAGE=es_ES
    - (cd libretube-theme/ && make compile)
    - cp -v Makefile.example Makefile
    - make validate

- name: debian
  image: debian:bullseye
  commands:
    - apt-get update -y
    - apt-get install -y locales openjdk-11-jre python3-pip
    - sed -e 's|^# es_ES.UTF-8 UTF-8|es_ES.UTF-8 UTF-8|g' -i /etc/locale.gen
    - sed -e 's|^# en_US.UTF-8 UTF-8|en_US.UTF-8 UTF-8|g' -i /etc/locale.gen
    - sed -e 's|^# eo UTF-8|eo UTF-8|g' -i /etc/locale.gen
    - sed -e 's|^# fr_FR.UTF-8 UTF-8|fr_FR.UTF-8 UTF-8|g' -i /etc/locale.gen
    - dpkg-reconfigure --frontend=noninteractive locales
    - pip3 install babel beautifulsoup4 html5validator markdown pelican css-html-js-minify
    - export LANG=es_ES.UTF-8 LANGUAGE=es_ES
    - (cd libretube-theme/ && make compile)
    - cp -v Makefile.example Makefile
    - make validate
